import Vue from "vue";
import Vuex from "vuex";
import { login } from "../api/admin";
import { clearStore, setStore } from "../utils/store";
Vue.use(Vuex);

export default new Vuex.Store({
  state: {
    userInfo: {}
  },
  mutations: {
    // 设置个人信息
    SET_USERIFNO: (state, userInfo) => {
      state.userInfo = userInfo;
      setStore({ name: "xh-control-userInfo", content: userInfo });
    }
  },
  actions: {
    // 登陆
    login_username({ commit }, userInfo) {
      return new Promise((resolve, reject) => {
        login(userInfo).then((res) => {
          if (res.code == 0) {
            const userInfo = res.obj;
            commit("SET_USERIFNO", userInfo);
          }
          resolve(res);
        });
      });
    },
    // 登出
    loginOut({ commit }) {
      return new Promise((resolve, reject) => {
        commit("SET_USERIFNO", []);
        clearStore();
        resolve("请重新登录！");
      });
    }
  }
});
